<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage  Top Event
 * @since  Top Event 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'top_event_archive_section',
	array(
		'title'             => esc_html__( 'Blog/Archive','top-event' ),
		'description'       => esc_html__( 'Archive section options.', 'top-event' ),
		'panel'             => 'top_event_theme_options_panel',
	)
);

// Your latest posts title setting and control.
$wp_customize->add_setting( 'top_event_theme_options[your_latest_posts_title]',
	array(
		'default'           => $options['your_latest_posts_title'],
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control( 'top_event_theme_options[your_latest_posts_title]',
	array(
		'label'             => esc_html__( 'Your Latest Posts Title', 'top-event' ),
		'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'top-event' ),
		'section'           => 'top_event_archive_section',
		'type'				=> 'text',
		'active_callback'   => 'top_event_is_latest_posts'
	)
);

// features content type control and setting
$wp_customize->add_setting( 'top_event_theme_options[blog_column]',
	array(
		'default'          	=> $options['blog_column'],
		'sanitize_callback' => 'top_event_sanitize_select',
		//'transport'			=> 'refresh',
	)
);

$wp_customize->add_control( 'top_event_theme_options[blog_column]',
	array(
		'label'             => esc_html__( 'Column Layout', 'top-event' ),
		'section'           => 'top_event_archive_section',
		'type'				=> 'select',
		'choices'			=> array( 
			'col-1'		=> esc_html__( 'One Column', 'top-event' ),
			'col-2'		=> esc_html__( 'Two Column', 'top-event' ),
			'col-3'		=> esc_html__( 'Three Column', 'top-event' ),
		),
	)
);
